Bullet Collision Detection & Physics Library: btContactSolverInfoFloatData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btContactSolverInfoFloatData Struct Reference

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64 More...

`#include <btContactSolverInfo.h>`

## Public Attributes
float | m_tau
float | m_damping
float | m_friction
float | m_timeStep
float | m_restitution
float | m_maxErrorReduction
float | m_sor
float | m_erp
float | m_erp2
float | m_globalCfm
float | m_splitImpulsePenetrationThreshold
float | m_splitImpulseTurnErp
float | m_linearSlop
float | m_warmstartingFactor
float | m_articulatedWarmstartingFactor
float | m_maxGyroscopicForce
float | m_singleAxisRollingFrictionThreshold
int | m_numIterations
int | m_solverMode
int | m_restingContactRestitutionThreshold
int | m_minimumSolverBatchSize
int | m_splitImpulse

## Detailed Description

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64

Definition at line 145 of file btContactSolverInfo.h.

## Member Data Documentation

## ◆ m_articulatedWarmstartingFactor

float btContactSolverInfoFloatData::m_articulatedWarmstartingFactor

Definition at line 164 of file btContactSolverInfo.h.

## ◆ m_damping

float btContactSolverInfoFloatData::m_damping

Definition at line 148 of file btContactSolverInfo.h.

## ◆ m_erp

float btContactSolverInfoFloatData::m_erp

Definition at line 155 of file btContactSolverInfo.h.

## ◆ m_erp2

float btContactSolverInfoFloatData::m_erp2

Definition at line 157 of file btContactSolverInfo.h.

## ◆ m_friction

float btContactSolverInfoFloatData::m_friction

Definition at line 149 of file btContactSolverInfo.h.

## ◆ m_globalCfm

float btContactSolverInfoFloatData::m_globalCfm

Definition at line 158 of file btContactSolverInfo.h.

## ◆ m_linearSlop

float btContactSolverInfoFloatData::m_linearSlop

Definition at line 162 of file btContactSolverInfo.h.

## ◆ m_maxErrorReduction

float btContactSolverInfoFloatData::m_maxErrorReduction

Definition at line 153 of file btContactSolverInfo.h.

## ◆ m_maxGyroscopicForce

float btContactSolverInfoFloatData::m_maxGyroscopicForce

Definition at line 165 of file btContactSolverInfo.h.

## ◆ m_minimumSolverBatchSize

int btContactSolverInfoFloatData::m_minimumSolverBatchSize

Definition at line 172 of file btContactSolverInfo.h.

## ◆ m_numIterations

int btContactSolverInfoFloatData::m_numIterations

Definition at line 168 of file btContactSolverInfo.h.

## ◆ m_restingContactRestitutionThreshold

int btContactSolverInfoFloatData::m_restingContactRestitutionThreshold

Definition at line 170 of file btContactSolverInfo.h.

## ◆ m_restitution

float btContactSolverInfoFloatData::m_restitution

Definition at line 152 of file btContactSolverInfo.h.

## ◆ m_singleAxisRollingFrictionThreshold

float btContactSolverInfoFloatData::m_singleAxisRollingFrictionThreshold

Definition at line 167 of file btContactSolverInfo.h.

## ◆ m_solverMode

int btContactSolverInfoFloatData::m_solverMode

Definition at line 169 of file btContactSolverInfo.h.

## ◆ m_sor

float btContactSolverInfoFloatData::m_sor

Definition at line 154 of file btContactSolverInfo.h.

## ◆ m_splitImpulse

int btContactSolverInfoFloatData::m_splitImpulse

Definition at line 173 of file btContactSolverInfo.h.

## ◆ m_splitImpulsePenetrationThreshold

float btContactSolverInfoFloatData::m_splitImpulsePenetrationThreshold

Definition at line 159 of file btContactSolverInfo.h.

## ◆ m_splitImpulseTurnErp

float btContactSolverInfoFloatData::m_splitImpulseTurnErp

Definition at line 160 of file btContactSolverInfo.h.

## ◆ m_tau

float btContactSolverInfoFloatData::m_tau

Definition at line 147 of file btContactSolverInfo.h.

## ◆ m_timeStep

float btContactSolverInfoFloatData::m_timeStep

Definition at line 150 of file btContactSolverInfo.h.

## ◆ m_warmstartingFactor

float btContactSolverInfoFloatData::m_warmstartingFactor

Definition at line 163 of file btContactSolverInfo.h.

The documentation for this struct was generated from the following file:

- btContactSolverInfo.h